Subject: Re: b19 notes
From: [email-masked]

28 Feb 1998 10:49:10 -0800
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=iso-8859-1
Content-Transfer-Encoding: 8bit
To: [email-masked]

>   root ([email-masked])
>   Sat, 28 Feb 1998 04:42:10 -0500
>>>- If you are upgrading from b18, MAKE SURE you copy the new shell
>  into /bin.  If you prefer to keep the old around:
>
>      mkdir /bin2
>      cp /bin/* /bin2
>      mount c:/bin2 /bin     # mount bin2 over bin, for this account
>      cp /sh.exe /bin
>
>  If you do not do this, you WILL have problems with "make" and
>  "configure".
><<
>You might also mention that the c:\usr directory from b18 can't remain
>with that name, or gcc will keep trying to compile b18 programs.
>In other words, all the stuff under c:\usr has to be moved to, say,
>c:\usr.b18 to stop `make' and `gcc' problems.
>
>It is always a lot of fun to have managed to port a program like lynx to
>b18, only to discover that something was done to the cygwin socket port
>in b19, and now lynx doesn't connect over the internet properly when you
>compile it and link it the way that worked for b18.

Update: I am writing this from the latest lynx development release compiled
under cygwin b19.  Only problem is that I had to define that Win32 sockets
thing in the Makefiles and add -lwsock32 here and there and add the WSA
startup code.  That lynx works when compiled this way lends credence to
the possibility of a winsocket bug in the cygwin32 code.

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".